﻿@model IEnumerable<App.Web.Models.OrdenPago>

@{
    ViewData["Title"] = "Index";
}

<h2>Listado de ordenes de pago</h2>

<p>
    <a asp-action="Create" class="btn btn-primary btn-sm">Agregar</a>
</p>
<table class="table">
    <thead>
        <tr>
            <th>
                C&oacute;digo orden pago
            </th>
            <th>
                Banco
            </th>
            <th>
                Sucursal
            </th>
            <th>
                Moneda
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Monto)
            </th>           
            <th>
                @Html.DisplayNameFor(model => model.FechaPago)
            </th>
            <th>
                Estado orden pago
            </th>
           
            <th></th>
            <th></th>
            <th></th>
        </tr>
    </thead>
    <tbody>
@foreach (var item in Model) {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.OrdenPagoId)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Sucursal.Banco.Nombre)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Sucursal.Nombre)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Moneda.Nombre)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Monto)
            </td>           
            <td>
                @Html.DisplayFor(modelItem => item.FechaPago)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.EstadoOrdenPago.Nombre)
            </td>
           
            <td>
                @Html.ActionLink("Editar", "Edit", new { id = item.OrdenPagoId }, new { @class = "btn btn-primary btn-sm" })
            </td>
            <td>
                @Html.ActionLink("Detalle", "Details", new { id = item.OrdenPagoId }, new { @class = "btn btn-info btn-sm" })
            </td>
            <td>
                @Html.ActionLink("Eliminar", "Delete", new { id = item.OrdenPagoId }, new { @class = "btn btn-danger btn-sm" })
            </td>
        </tr>
}
    </tbody>
</table>
